## wl-clipboard 2.0.0

=== meson_options.txt ===
option('zshcompletiondir',
    type: 'string',
    value: '',
    description: 'Directory for zsh completions. Set "no" to disable.'
)

## wl-clipboard 0.0.20181003

=== debian/changelog ===
wl-clipboard (0.0.20181003-1) unstable; urgency=medium

  * Initial release (Closes: #910185)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 03 Oct 2018 05:06:20 -0300

=== debian/control ===
Source: wl-clipboard
Section: x11
Priority: optional
Maintainer: Felipe Sateler <fsateler@debian.org>
Build-Depends: debhelper-compat (= 11),
 meson (>= 0.44),
 pkg-config,
 libwayland-dev,
 libwayland-bin,
 wayland-protocols (>= 1.12)
Standards-Version: 4.2.1
Homepage: https://github.com/bugaevc/wl-clipboard
Vcs-Browser: https://salsa.debian.org/fsateler/wl-clipboard
Vcs-Git: https://salsa.debian.org/fsateler/wl-clipboard.git
Rules-Requires-Root: no

Package: wl-clipboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils
Description: command line interface to the wayland clipboard
 wl-clipboard implements two little Wayland clipboard
 utilities, wl-copy and wl-paste, that let you easily copy data
 between the clipboard and Unix pipes, sockets or files.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/bugaevc/wl-clipboard/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## wl-clipboard 1.0.0

=== debian/changelog ===
wl-clipboard (1.0.0-1) unstable; urgency=medium

  * Import new upstream version 1.0.0
  * Remove boilerplate comments from watch file

 -- Felipe Sateler <fsateler@debian.org>  Wed, 14 Nov 2018 21:15:38 -0300

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/bugaevc/wl-clipboard/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## wl-clipboard 2.0.0

=== debian/changelog ===
wl-clipboard (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use meson option for zsh install dir
  * Add editorconfig file to exclude debian/rules from the
    4-space indent rule

 -- Felipe Sateler <fsateler@debian.org>  Sun, 06 Oct 2019 20:17:15 -0300

wl-clipboard (2.0.0~beta2-1) unstable; urgency=medium

  * New upstream release candidate
    - Install new bash/zsh completions
  * Update watch file to consider release candidates
  * Bump debhelper from old 11 to 12.
  * Bump Standards-Version (no changes needed)

 -- Felipe Sateler <fsateler@debian.org>  Sun, 22 Sep 2019 20:47:27 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
  meson (>= 0.44),
  pkg-config,
  libwayland-dev,
  libwayland-bin,
  wayland-protocols (>= 1.12)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/bugaevc/wl-clipboard
 Vcs-Browser: https://salsa.debian.org/fsateler/wl-clipboard
 Vcs-Git: https://salsa.debian.org/fsateler/wl-clipboard.git

## wl-clipboard 2.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,8 @@
     value: '',
     description: 'Directory for zsh completions. Set "no" to disable.'
 )
+option('fishcompletiondir',
+    type: 'string',
+    value: '',
+    description: 'Directory for fish completions. Set "no" to disable.'
+)

=== debian/changelog ===
wl-clipboard (2.1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.1.0
  * debian/control:
    - bump debhelper version
    - bump standards version
    - add salsa ci config

 -- Sai Karthik <kskarthik@disroot.org>  Sat, 28 May 2022 21:50:31 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson (>= 0.44),
  pkg-config,
  libwayland-dev,
  libwayland-bin,
  wayland-protocols (>= 1.12)
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/bugaevc/wl-clipboard
 Vcs-Browser: https://salsa.debian.org/fsateler/wl-clipboard
 Vcs-Git: https://salsa.debian.org/fsateler/wl-clipboard.git

## wl-clipboard 2.2.0

=== debian/changelog ===
wl-clipboard (2.2.0-1) unstable; urgency=medium

  * New upstream release
    - Upload to sid
    - Bumps minimum meson version to 0.47

 -- Felipe Sateler <fsateler@debian.org>  Mon, 07 Aug 2023 21:39:13 -0400

wl-clipboard (2.2.0~rc1-1) experimental; urgency=medium

  * New upstream version
    - Upload to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sun, 30 Apr 2023 09:51:52 -0400

## wl-clipboard 2.2.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+option('protocols',
+    type: 'feature',
+    value: 'enabled')
 option('zshcompletiondir',
     type: 'string',
     value: '',

=== debian/changelog ===
wl-clipboard (2.2.1-2) unstable; urgency=medium

  * Team upload, salsa debian namespace.

  [ Evangelos Ribeiro Tzaras ]
  * d/upstream/metadata: Add Repository field.
    This allows gbp-clone --add-upstream-vcs to work
  * d/control: Adjust Vcs-* URLs to point to debian/ namespace

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 03:52:40 +0100

wl-clipboard (2.2.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes copy-paste with phoc compositor (Closes: #1051463)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 11 Sep 2023 20:23:34 -0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Felipe Sateler <fsateler@debian.org>
 Build-Depends: debhelper-compat (= 13),
- meson (>= 0.44),
+ meson (>= 0.47),
  pkg-config,
  libwayland-dev,
  libwayland-bin,
  wayland-protocols (>= 1.12)
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/bugaevc/wl-clipboard
-Vcs-Browser: https://salsa.debian.org/fsateler/wl-clipboard
-Vcs-Git: https://salsa.debian.org/fsateler/wl-clipboard.git
+Vcs-Browser: https://salsa.debian.org/debian/wl-clipboard
+Vcs-Git: https://salsa.debian.org/debian/wl-clipboard.git
 Rules-Requires-Root: no
 
 Package: wl-clipboard

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,5 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dzshcompletiondir=/usr/share/zsh/vendor-completions
